apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: guildion-blog-load-balancer
  annotations:
    kubernetes.io/ingress.class: alb
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/connection-idle-timeout: 60
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTP": 80}, {"HTTPS":443}]'
    alb.ingress.kubernetes.io/actions.ssl-redirect: '{"Type": "redirect", "RedirectConfig": { "Protocol": "HTTPS", "Port": "443", "StatusCode": "HTTP_301"}}'
    alb.ingress.kubernetes.io/subnets: $AWS_PRIVATE_SUBNET_A,$AWS_PRIVATE_SUBNET_C
    # alb.ingress.kubernetes.io/security-groups: $SECURITY_GROUP
    # alb.ingress.kubernetes.io/manage-backend-security-group-rules: "true"
    alb.ingress.kubernetes.io/certificate-arn: $BLOG_TOKYO_ACMID
    alb.ingress.kubernetes.io/healthcheck-path: /api/health
    alb.ingress.kubernetes.io/healthcheck-interval-seconds: 15
    alb.ingress.kubernetes.io/healthcheck-timeout-seconds: 5
    alb.ingress.kubernetes.io/healthy-threshold-count: 2
    alb.ingress.kubernetes.io/unhealthy-threshold-count: 2
    alb.ingress.kubernetes.io/successCodes: 200
spec:
  rules:
    - host: staging.geeklize.com
      http:
        paths:
          - path: /*
            backend:
              serviceName: ssl-redirect
              servicePort: use-annotation
          - path: /*
            backend:
              serviceName: guildion-blog
              servicePort: 80